Package weka.clusterers

# Interface UpdateableClusterer

All Known Implementing Classes:
  `Cobweb`

public interface UpdateableClusterer
Interface to incremental cluster models that can learn using one instance at a time.

Version:
  $Revision: 1.2 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`updateClusterer(Instance newInstance)`
Adds an instance to the clusterer.
`void`
`updateFinished()`
Signals the end of the updating.

## Method Details

### updateClusterer

void updateClusterer(Instance newInstance) throws Exception
Adds an instance to the clusterer.

Parameters:
  `newInstance` - the instance to be added
Throws:
  `Exception` - if something goes wrong

### updateFinished

void updateFinished()
Signals the end of the updating.